summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
Diffstat (limited to 'academic')
-rw-r--r--academic/pcb/README6
-rw-r--r--academic/pcb/doinst.sh14
-rw-r--r--academic/pcb/pcb.SlackBuild92
-rw-r--r--academic/pcb/pcb.info10
-rw-r--r--academic/pcb/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/academic/pcb/README b/academic/pcb/README
new file mode 100644
index 0000000000..835d8775d0
--- /dev/null
+++ b/academic/pcb/README
@@ -0,0 +1,6 @@
+PCB is an interactive printed circuit board editor for the X11 window
+system. PCB includes a rats nest feature, design rule checking, and
+can provide industry standard RS-274-X (Gerber), NC drill, and centroid
+data (X-Y data) output for use in the board fabrication and assembly
+process. PCB offers high end features such as an autorouter and trace
+optimizer which can tremendously reduce layout time.
diff --git a/academic/pcb/doinst.sh b/academic/pcb/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/academic/pcb/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/academic/pcb/pcb.SlackBuild b/academic/pcb/pcb.SlackBuild
new file mode 100644
index 0000000000..383348fae2
--- /dev/null
+++ b/academic/pcb/pcb.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for pcb
+
+# Written by Felix Pfeifer (pfeifer [dot] felix [at] googlemail [dot] com)
+
+PRGNAM=pcb
+VERSION=${VERSION:-20100929}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-update-desktop-database \
+ --disable-update-mime-database \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+#find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [ACIN]* README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/academic/pcb/pcb.info b/academic/pcb/pcb.info
new file mode 100644
index 0000000000..984d418549
--- /dev/null
+++ b/academic/pcb/pcb.info
@@ -0,0 +1,10 @@
+PRGNAM="pcb"
+VERSION="20100929"
+HOMEPAGE="http://pcb.gpleda.org/"
+DOWNLOAD="http://sourceforge.net/projects/pcb/files/pcb/pcb-20100929/pcb-20100929.tar.gz"
+MD5SUM="4c71f5d1c40ad65539957748b88eb863"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Felix Pfeifer"
+EMAIL="pfeifer[dot]felix[at]googlemail[dot]com"
+APPROVED="rworkman"
diff --git a/academic/pcb/slack-desc b/academic/pcb/slack-desc
new file mode 100644
index 0000000000..ff8517c230
--- /dev/null
+++ b/academic/pcb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcb: PCB (printed circuit board editor)
+pcb:
+pcb: PCB is an interactive printed circuit board editor for the X11
+pcb: window system. PCB includes a rats nest feature, design rule
+pcb: checking, and can provide industry standard RS-274-X (Gerber),
+pcb: NC drill, and centroid data (X-Y data) output for use in the
+pcb: board fabrication and assembly process. PCB offers high end
+pcb: features such as an autorouter and trace optimizer which can
+pcb: tremendously reduce layout time.
+pcb:
+pcb: Homepage: http://pcb.gpleda.org/